# Ogre::StaticGeometry::OptimisedSubMeshGeometry Class Reference

Struct holding geometry optimised per SubMesh / lod level, ready for copying to instances. More...

`#include <OgreStaticGeometry.h>`

List of all members.

## Public Member Functions

| OptimisedSubMeshGeometry ()
| ~OptimisedSubMeshGeometry ()

## Public Attributes

VertexData * | vertexData
IndexData * | indexData

## Detailed Description

Struct holding geometry optimised per SubMesh / lod level, ready for copying to instances.

Remarks:
  Since we're going to be duplicating geometry lots of times, it's far more important that we don't have redundant vertex data. If a SubMesh uses shared geometry, or we're looking at a lower LOD, not all the vertices are being referenced by faces on that submesh. Therefore to duplicate them, potentially hundreds or even thousands of times, would be extremely wasteful. Therefore, if a SubMesh at a given LOD has wastage, we create an optimised version of it's geometry which is ready for copying with no wastage.

Definition at line 122 of file OgreStaticGeometry.h.

## Constructor & Destructor Documentation

Ogre::StaticGeometry::OptimisedSubMeshGeometry::OptimisedSubMeshGeometry | ( |  | ) |

| Definition at line 125 of file OgreStaticGeometry.h.

Ogre::StaticGeometry::OptimisedSubMeshGeometry::~OptimisedSubMeshGeometry | ( |  | ) |

| Definition at line 126 of file OgreStaticGeometry.h.

## Member Data Documentation

IndexData* Ogre::StaticGeometry::OptimisedSubMeshGeometry::indexData

| Definition at line 132 of file OgreStaticGeometry.h.

VertexData* Ogre::StaticGeometry::OptimisedSubMeshGeometry::vertexData

| Definition at line 131 of file OgreStaticGeometry.h.

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:04:05 2006